/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Jan-01-2012 10:09:12pm
Filepath: scripts\events and scenarios\Christmas\mobiles\DarkElfTrooper.cs
Lines of code: 94

Description: 

***********************************************************/


using System;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a Dark Elf corpse" )]
	public class DarkElfTrooper : BaseCreature
	{
		public override bool ClickTitle{ get{ return false; } }

		[Constructable]
		public DarkElfTrooper() : base( AIType.AI_Super, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			SpeechHue = Utility.RandomDyedHue();
			Hue = Utility.RandomSkinHue();
			Name = "a Dark Elf Trooper";
			Race=Race.Elf;
			Body = (( this.Female = Utility.RandomBool() ) ? Body = 0x191 : Body = 0x190);
			
			Hue = Utility.RandomSkinHue();

			SetStr( 526, 775 );
			SetDex( 80, 153 );
			SetInt( 101, 110 );

	        SetHits( 301, 400 );
			SetMana( 101, 110 );

			SetDamage( 10, 15 );

			SetDamageType( ResistanceType.Physical, 50 );
			SetDamageType( ResistanceType.Poison, 50 );

			SetResistance( ResistanceType.Physical, 55, 75 );
			SetResistance( ResistanceType.Fire, 50, 70 );
			SetResistance( ResistanceType.Cold, 55, 75 );
			SetResistance( ResistanceType.Poison, 50, 70 );
			SetResistance( ResistanceType.Energy, 55, 95 );

			SetSkill( SkillName.Archery, 115.1, 130.0 );
			SetSkill( SkillName.Tactics, 115.1, 130.0 );
			SetSkill( SkillName.Anatomy, 110.1, 125.0 );
			SetSkill( SkillName.MagicResist, 110.1, 125.0 );
			SetSkill( SkillName.Healing, 110.1, 125.0 );
			SetSkill( SkillName.Chivalry, 110.1, 125.0 );
			
			
			Fame = 12500;
			Karma = -12500;


			BoneHelm hat = new BoneHelm();
			hat.Hue=2406;
			AddItem(hat);
			
			WoodlandGorget gorget = new WoodlandGorget();
			gorget.Hue=2406;
			AddItem(gorget);
			
			WoodlandChest tunic = new WoodlandChest();
			tunic.Hue=2406;
			AddItem(tunic);
			
			WoodlandArms arms = new WoodlandArms();
			arms.Hue=2406;
			AddItem(arms);
			
			WoodlandLegs pants = new WoodlandLegs();
			pants.Hue=2406;
			AddItem(pants);			
			
			WoodlandGloves gloves = new WoodlandGloves();
			gloves.Hue=2401;
			AddItem(gloves);
			
			
			ElvenCompositeLongbow wep = new ElvenCompositeLongbow();
			wep.Hue=2401;
			wep.Movable=false;
			AddItem(wep);			

			HairItemID=0;
			
			Hidden=true;
		}
		
		public override void OnDeath( Container c )
 		{
			base.OnDeath( c );
	 		c.DropItem( new CoalOre(5,14) );
			if(0.05>Utility.RandomDouble())c.DropItem(new SurpriseStocking());
			
			c.DropItem(new WrappedChristmasGift());
 		}

		

		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich,2 );
			AddLoot( LootPack.Rich );
		}

		public override bool BardImmune{ get{ return true; } }
		public override bool CanRummageCorpses{ get{ return true; } }
		public override bool AlwaysMurderer{ get{ return true; } }	
		public override bool ShowFameTitle{ get{ return false; } }		

		public DarkElfTrooper( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
